Skip to main content
GET
/
v1
/
locations
/
{location_id}
/
special_closings
List special closings
curl --request GET \
  --url https://api.chataigne.ai/v1/locations/{location_id}/special_closings \
  --header 'x-api-key: <api-key>'
{
  "object": "list",
  "data": [
    {
      "id": "scl_5a16c3f915a84bf0bd90729c",
      "object": "special_closing",
      "location_id": "<string>",
      "starts_at": "2023-11-07T05:31:56Z",
      "ends_at": "2023-11-07T05:31:56Z",
      "reason": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

x-api-key
string
header
required

Location/organization API key.

Path Parameters

location_id
string
required

Query Parameters

limit
integer
default:10

Page size (1–100).

Required range: 1 <= x <= 100
starting_after
string

Cursor: return results after this id.

ending_before
string

Cursor: return results before this id.

created_after
string<date-time>

Only resources created strictly after this time.

created_before
string<date-time>

Only resources created strictly before this time.

updated_after
string<date-time>

Only resources updated strictly after this time.

updated_before
string<date-time>

Only resources updated strictly before this time.

Response

A paginated list of special closings.

object
enum<string>
Available options:
list
data
object[]
has_more
boolean
url
string